
def graylog_random_event_filter(event, field_name, expected_value):
    """
    Filters events based on a specified field and value using Graylog's filter capabilities.

    :param event: The event dictionary to filter.
    :param field_name: The name of the field to filter by.
    :param expected_value: The value to expect in the specified field.
    :return: True if the event matches the filter criteria, False otherwise.
    """
    if field_name in event and event[field_name] == expected_value:
        return True
    return False

